Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047534
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2021-08-11 16:182021-11-16 10:36
ReportershuehnerView Statuspublic 
Assigned Tojarmendariz 
PrioritynormalResolutionfixedFixed in VersionPR22Q1
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047534: Update package-lock.json to fix npm audit issues

Descriptionnpm audit reports problems which should be fixed by updating versions in the package-lock.json

found 139 moderate severity vulnerabilities
  run `npm audit fix` to fix them, or `npm audit` for details

Grouping them to causing package:
npm audit | grep 'Package' | sort | uniq -c
    138 │ Package │ path-parse
      1 │ Package │ xmldom
Steps To Reproducerun "npm audit" in source.path
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0047891 newTriage Platform Base Openbravo ERP Upgrade Jest from 26.6.0 to 27.x.x 
related to defect 0047535 closedplatform POS2 Update package-lock.json to fix npm audit issues 

-  Notes
(0132077)
hgbot (developer)
2021-09-30 08:56

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/435 [^]
(0133085)
hgbot (developer)
2021-11-16 00:18

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/435 [^]
(0133086)
hgbot (developer)
2021-11-16 00:18

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 2c824c9f7233abffb4c9893f17285a0288303479
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-11-16T00:13:33+01:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/2c824c9f7233abffb4c9893f17285a0288303479 [^]

Fixed ISSUE-47534: Fixed npm audit issues and removed XMLDOM dependency

---
M package-lock.json
M package.json
---
(0133096)
hgbot (developer)
2021-11-16 09:59

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.rtprinter [^]
Changeset: 68e3ca11e498977c83895c82e57a88353ba018cd
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-11-16T09:59:18+01:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.rtprinter/-/commit/68e3ca11e498977c83895c82e57a88353ba018cd [^]

Related to ISSUE-47534: Adding XMLDOM dependency

---
M package-lock.json
M package.json
---
(0133099)
hgbot (developer)
2021-11-16 10:36

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.rtprinter [^]
Changeset: 31966249b0d0cb5e5a823157fefc69e0a859e056
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-11-16T10:36:10+01:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.rtprinter/-/commit/31966249b0d0cb5e5a823157fefc69e0a859e056 [^]

Related to ISSUE-47534: Updated xmldom to its latest version

---
M package-lock.json
M package.json
M web-test/root.js
---

- Issue History
Date Modified Username Field Change
2021-08-11 16:18 shuehner New Issue
2021-08-11 16:18 shuehner Assigned To => platform
2021-08-11 16:18 shuehner Modules => Core
2021-08-11 16:18 shuehner Triggers an Emergency Pack => No
2021-08-11 16:26 shuehner Relationship added related to 0047535
2021-09-30 08:56 hgbot Note Added: 0132077
2021-09-30 10:18 jarmendariz Status new => scheduled
2021-09-30 10:18 jarmendariz Assigned To platform => jarmendariz
2021-10-20 09:56 jarmendariz Relationship added related to 0047891
2021-11-16 00:18 hgbot Note Added: 0133085
2021-11-16 00:18 hgbot Resolution open => fixed
2021-11-16 00:18 hgbot Status scheduled => closed
2021-11-16 00:18 hgbot Fixed in Version => PR22Q1
2021-11-16 00:18 hgbot Note Added: 0133086
2021-11-16 09:59 hgbot Note Added: 0133096
2021-11-16 10:36 hgbot Note Added: 0133099


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker